Yate: MimeStringBody Class Reference

Yate

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
MimeStringBody Class Reference

MIME for one text string. More...

`#include <yatemime.h>`

Inheritance diagram for MimeStringBody:

## Public Member Functions
| MimeStringBody (const String &type, const char *buf, int len=-1)
| MimeStringBody (const MimeHeaderLine &type, const char *buf, int len=-1)
virtual | ~MimeStringBody ()
virtual void * | getObject (const String &name) const
virtual MimeBody * | clone () const
const String & | text () const
Public Member Functions inherited from MimeBody
virtual | ~MimeBody ()
const MimeHeaderLine & | getType () const
MimeBody * | getFirst (const String &type) const
const ObjList & | headers () const
void | appendHdr (MimeHeaderLine *hdr)
void | removeHdr (MimeHeaderLine *hdr, bool delobj=true)
MimeHeaderLine * | findHdr (const String &name, const MimeHeaderLine *start=0) const
void | buildHeaders (String &buf)
bool | setParam (const char *name, const char *value=0, const char *header=0)
bool | delParam (const char *name, const char *header=0)
const NamedString * | getParam (const char *name, const char *header=0) const
const DataBlock & | getBody () const
const DataBlock & | body () const
virtual bool | isSDP () const
virtual bool | isMultipart () const
Public Member Functions inherited from GenObject
| GenObject ()
virtual | ~GenObject ()
virtual bool | alive () const
virtual void | destruct ()
virtual const String & | toString () const
NamedCounter * | getObjCounter () const
NamedCounter * | setObjCounter (NamedCounter *counter)

## Protected Member Functions
| MimeStringBody (const MimeStringBody &original)
virtual void | buildBody () const
Protected Member Functions inherited from MimeBody
| MimeBody (const String &type)
| MimeBody (const MimeHeaderLine &type)

## Additional Inherited Members
Static Public Member Functions inherited from MimeBody
static MimeBody * | build (const char *buf, int len, const MimeHeaderLine &type)
static String * | getUnfoldedLine (const char *&buf, int &len)
Static Public Member Functions inherited from GenObject
static void * | getObject (const String &name, const GenObject *obj)
static bool | getObjCounting ()
static void | setObjCounting (bool enable)
static NamedCounter * | getObjCounter (const String &name, bool create=true)
static ObjList & | getObjCounters ()
Protected Attributes inherited from MimeBody
DataBlock | m_body
ObjList | m_headers

## Detailed Description

MIME for one text string.

An object holding MIME data as just one text string

## Constructor & Destructor Documentation

MimeStringBody | ( | const String & | type,
|  | const char * | buf,
|  | int | len = `-1`
| ) |  |

Constructor from block of data

Parameters

  type | The value of the Content-Type header line
  buf | Pointer to buffer of data
  len | Length of data in buffer

MimeStringBody | ( | const MimeHeaderLine & | type,
|  | const char * | buf,
|  | int | len = `-1`
| ) |  |

Constructor from block of data

Parameters

  type | The content type header line
  buf | Pointer to buffer of data
  len | Length of data in buffer

virtual ~MimeStringBody | ( |  | ) |
| virtual

Destructor

MimeStringBody | ( | const MimeStringBody & | original | ) |
| protected

Copy constructor

## Member Function Documentation

virtual void buildBody | ( |  | ) | const
| protectedvirtual

Override that is called internally to build the binary encoded body

Implements MimeBody.

virtual MimeBody* clone | ( |  | ) | const
| virtual

Duplicate this MIME body

Returns
  Copy of this MIME body - a new MimeStringBody

Implements MimeBody.

virtual void* getObject | ( | const String & | name | ) | const
| virtual

RTTI method, get a pointer to a derived class given the class name

Parameters

  name | Name of the class we are asking for

Returns
  Pointer to the requested class or NULL if this object doesn't implement it

Reimplemented from MimeBody.

const String& text | ( |  | ) | const
| inline

Retrieve the stored data

Returns
  String holding the data text

The documentation for this class was generated from the following file:

- yatemime.h